{
	"table_name_local": "product_work",
	"table_number": 51,
	"name": "table/external/4d/manager/product/work_order_schedule.json",
	"table_name": "work_order_schedule",
	"field": [
		{
			"constraint": [
				"index"
			],
			"name": "act_end_date",
			"field_number": 49,
			"type": "date"
		},
		{
			"field_number": 64,
			"type": "text",
			"name": "additional_data"
		},
		{
			"field_number": 70,
			"type": "double",
			"name": "advance"
		},
		{
			"field_number": 54,
			"name": "change_id",
			"type": "varchar",
			"length": 45
		},
		{
			"field_number": 55,
			"name": "creator_id",
			"type": "varchar",
			"length": 20
		},
		{
			"field_number": 27,
			"type": "integer",
			"name": "critical_date_difference"
		},
		{
			"field_number": 51,
			"name": "customer_project",
			"type": "varchar",
			"length": 40
		},
		{
			"field_number": 71,
			"type": "double",
			"name": "delay"
		},
		{
			"field_number": 67,
			"type": "integer",
			"name": "delivery_to_customer"
		},
		{
			"constraint": [
				"index"
			],
			"name": "employee_id",
			"nullable": true,
			"foreign_key": {
				"table": "employee",
				"field": "employee_id"
			},
			"field_number": 32,
			"type": "varchar",
			"length": 12
		},
		{
			"constraint": [
				"index"
			],
			"name": "end_date",
			"field_number": 10,
			"type": "date"
		},
		{
			"field_number": 6,
			"type": "time",
			"name": "end_time"
		},
		{
			"field_number": 39,
			"type": "double",
			"name": "est_bonus_work_time__unit"
		},
		{
			"field_number": 44,
			"type": "double",
			"name": "est_contract_price__unit"
		},
		{
			"field_number": 42,
			"type": "double",
			"name": "est_machine_setup_cost__hour"
		},
		{
			"field_number": 43,
			"type": "double",
			"name": "est_machine_work_cost__hour"
		},
		{
			"field_number": 41,
			"type": "double",
			"name": "est_salary__hour"
		},
		{
			"field_number": 40,
			"type": "double",
			"name": "est_setup_salary__hour"
		},
		{
			"field_number": 38,
			"type": "double",
			"name": "est_setup_time__lot"
		},
		{
			"field_number": 37,
			"type": "double",
			"name": "est_work_time__unit"
		},
		{
			"field_number": 23,
			"type": "date",
			"name": "extra_end_date"
		},
		{
			"field_number": 24,
			"type": "time",
			"name": "extra_end_time"
		},
		{
			"field_number": 22,
			"type": "double",
			"name": "extra_hours"
		},
		{
			"field_number": 30,
			"type": "double",
			"name": "failed_amount"
		},
		{
			"constraint": [
				"index"
			],
			"name": "firm_id",
			"field_number": 21,
			"type": "integer"
		},
		{
			"field_number": 26,
			"type": "text",
			"name": "info"
		},
		{
			"field_number": 8,
			"type": "integer",
			"name": "link_target"
		},
		{
			"field_number": 4,
			"type": "boolean",
			"name": "link_to_start"
		},
		{
			"field_number": 7,
			"type": "double",
			"name": "linking_hours"
		},
		{
			"field_number": 53,
			"type": "double",
			"name": "load_multiplier"
		},
		{
			"field_number": 33,
			"type": "integer",
			"name": "material_owner"
		},
		{
			"field_number": 65,
			"type": "double",
			"name": "measured_track_time"
		},
		{
			"field_number": 56,
			"name": "modifier_id",
			"type": "varchar",
			"length": 20
		},
		{
			"field_number": 15,
			"name": "next_phase",
			"type": "varchar",
			"length": 40
		},
		{
			"field_number": 69,
			"type": "date",
			"name": "phase_cr_start_date_delayed"
		},
		{
			"constraint": [
				"index"
			],
			"name": "phase_critical_date",
			"field_number": 29,
			"type": "date"
		},
		{
			"constraint": [
				"index"
			],
			"name": "phase_critical_date_delayed",
			"field_number": 34,
			"type": "date"
		},
		{
			"constraint": [
				"index"
			],
			"name": "phase_critical_extra_date",
			"field_number": 47,
			"type": "date"
		},
		{
			"field_number": 48,
			"type": "time",
			"name": "phase_critical_extra_time"
		},
		{
			"constraint": [
				"index"
			],
			"name": "phase_critical_start_date",
			"field_number": 35,
			"type": "date"
		},
		{
			"field_number": 45,
			"type": "time",
			"name": "phase_critical_start_time"
		},
		{
			"field_number": 46,
			"type": "time",
			"name": "phase_critical_time"
		},
		{
			"field_number": 68,
			"type": "double",
			"name": "planned_work_time"
		},
		{
			"field_number": 14,
			"name": "previous_phase",
			"type": "varchar",
			"length": 40
		},
		{
			"field_number": 12,
			"name": "prod_lot__linked_phase",
			"type": "varchar",
			"length": 40
		},
		{
			"constraint": [
				"index"
			],
			"name": "produced_amount",
			"field_number": 18,
			"type": "double"
		},
		{
			"constraint": [
				"index"
			],
			"name": "production_lot",
			"nullable": true,
			"foreign_key": {
				"table": "work_order",
				"field": "production_lot"
			},
			"field_number": 1,
			"type": "varchar",
			"length": 35
		},
		{
			"constraint": [
				"index"
			],
			"name": "production_lot__work_ph",
			"field_number": 2,
			"type": "varchar",
			"length": 40
		},
		{
			"field_number": 52,
			"name": "project_id",
			"type": "varchar",
			"length": 40
		},
		{
			"field_number": 66,
			"type": "integer",
			"name": "reclamation_count"
		},
		{
			"constraint": [
				"unique"
			],
			"name": "record_id",
			"field_number": 20,
			"type": "varchar",
			"length": 45
		},
		{
			"field_number": 19,
			"type": "double",
			"name": "remaining_amount"
		},
		{
			"field_number": 31,
			"type": "double",
			"name": "setup_time"
		},
		{
			"constraint": [
				"index"
			],
			"name": "start_date",
			"field_number": 9,
			"type": "date"
		},
		{
			"field_number": 5,
			"type": "time",
			"name": "start_time"
		},
		{
			"constraint": [
				"index"
			],
			"name": "state",
			"field_number": 61,
			"type": "integer"
		},
		{
			"constraint": [
				"index"
			],
			"name": "subcontract",
			"field_number": 17,
			"type": "boolean"
		},
		{
			"constraint": [
				"index"
			],
			"name": "subtype",
			"field_number": 60,
			"type": "varchar",
			"length": 20
		},
		{
			"field_number": 63,
			"type": "double",
			"name": "target_machine_time"
		},
		{
			"field_number": 62,
			"type": "double",
			"name": "target_time"
		},
		{
			"field_number": 58,
			"type": "double",
			"name": "track_time"
		},
		{
			"constraint": [
				"index"
			],
			"name": "track_time_status",
			"field_number": 59,
			"type": "integer"
		},
		{
			"constraint": [
				"index"
			],
			"name": "transfer_id",
			"field_number": 50,
			"type": "varchar",
			"length": 60
		},
		{
			"field_number": 57,
			"type": "integer",
			"name": "transfer_state"
		},
		{
			"constraint": [
				"index"
			],
			"name": "type_",
			"field_number": 36,
			"type": "integer"
		},
		{
			"field_number": 25,
			"type": "double",
			"name": "urgency_index"
		},
		{
			"field_number": 28,
			"type": "text",
			"name": "work_description"
		},
		{
			"constraint": [
				"index"
			],
			"name": "work_load_group_id",
			"nullable": true,
			"foreign_key": {
				"table": "work_load_group",
				"field": "work_load_group_id"
			},
			"field_number": 3,
			"type": "varchar",
			"length": 12
		},
		{
			"constraint": [
				"index"
			],
			"name": "work_phase",
			"field_number": 11,
			"type": "integer"
		},
		{
			"constraint": [
				"index"
			],
			"name": "work_phase_state",
			"field_number": 16,
			"type": "varchar",
			"length": 2
		},
		{
			"field_number": 13,
			"type": "double",
			"name": "work_time"
		},
		{
			"field_number": 72,
			"type": "double",
			"name": "can_be_manufactured"
		},
		{
			"field_number": 73,
			"type": "integer",
			"name": "manufacturing_state"
		}
	],
	"table_prefix": "wos",
	"record_type_local": "order"
}